
import GameLogic
import math
import mathutils

controller = GameLogic.getCurrentController()
owner = controller.owner
scene = GameLogic.getCurrentScene()
objList = scene.objects

# Object are adding during "life" frames, 0 is always
life = 1
empty = objList["Empty"]

# Get new data
handWii = GameLogic.handWii
# Get previous
stack = GameLogic.stack

mpYaw,mpRoll,mpPitch,X,Y,Z,pitch,roll,ir1 = 0,0,0,0,0,0,0,0,0
# Get utils datas
for i in range(len(handWii) - 2):
    # Get data
    if handWii[i + 2][0] == '/mp-yaw' :
        mpYaw = handWii[i + 2][2]
        mpYaw = mpYaw/8000 - 1
    if handWii[i + 2][0] == '/mp-roll' :
        mpRoll = handWii[i + 2][2]
        mpRoll = mpRoll/8000 - 1
    if handWii[i + 2][0] == '/mp-pitch' :
        mpPitch = handWii[i + 2][2]
        mpPitch = mpPitch/8000 - 1
    if handWii[i + 2][0] == '/pitch' :
        pitch = -handWii[i + 2][2]/3
    if handWii[i + 2][0] == '/roll' :
        roll = handWii[i + 2][2]/3
    if handWii[i + 2][0] == '/X' :
        X = handWii[i + 2][2]
    if handWii[i + 2][0] == '/Y' :
        Y = handWii[i + 2][2]
    if handWii[i + 2][0] == '/Z' :
        Z = handWii[i + 2][2]
    if handWii[i + 2][0] == '/blobs1-x' :
        ir1 = handWii[i + 2][2]
        ir1 = ir1/512 - 1


class histogram:
    def __init__(self, data, color):
        self.data = data
        self.color = color

    def stack(self, data, color): 
        nb_item = 48
        stack = GameLogic.stack[color]
        # Create list with nb items
        if len(stack) < nb_item:
            stack.append(data)
        # Add last acceleration and del the first in
        if len(stack) == nb_item:
            del stack[0]
            stack.append(data)
        GameLogic.stack[color] = stack

    def display_stack(self, data, color):
        '''i entre -1 et 1'''
        for j in range(len(stack[color])):
            cube = objList["Cube_"+ str(color)]
            empty.worldPosition = ( 0.3+(j*0.04)+2*int(color/3) , 0, 3.4-0.63*(color%3) )
            size = stack[color][j]
            empty.localScale = [ 1.0 , 1.0, 4*size]
            # Add OBWhite at name position during life frames
            scene.addObject(cube, empty, life)
        

# Display diagram
histogram(X,0).stack(X,0)
histogram(X,0).display_stack(X,0)

histogram(Y,1).stack(Y,1)
histogram(Y,1).display_stack(Y,1)

histogram(Z,2).stack(Z,2)
histogram(Z,2).display_stack(Z,2)

histogram(mpPitch,3).stack(mpPitch,3)
histogram(mpPitch,3).display_stack(mpPitch,3)

histogram(mpRoll,4).stack(mpRoll,4)
histogram(mpRoll,4).display_stack(mpRoll,4)

histogram(mpYaw,5).stack(mpYaw,5)
histogram(mpYaw,5).display_stack(mpYaw,5)

histogram(pitch,6).stack(pitch,6)
histogram(pitch,6).display_stack(pitch,6)

histogram(roll,7).stack(roll,7)
histogram(roll,7).display_stack(roll,7)

histogram(ir1,8).stack(ir1,8)
histogram(ir1,8).display_stack(ir1,8)
