
import GameLogic
import math
import mathutils

# Get owner, host, port
controller = GameLogic.getCurrentController()
owner = controller.owner

nb_item = 10
dt = 0.0166

def owner_orientation(alpha, beta, gamma):
	alpha = alpha * 3.1416 / 180
	beta = beta * 3.1416 / 180
	gamma = gamma * 3.1416 / 180
	rot_en_euler = mathutils.Euler([alpha, beta, gamma])
	owner.localOrientation = rot_en_euler.to_matrix()

# Get in GameLogic
alpha_init = GameLogic.alpha
beta_init = GameLogic.beta
gamma_init = GameLogic.gamma

# Get new data
handWii = GameLogic.handWii

# How many data
nbVal = len(handWii)

one = 0
mpYaw,mpRoll,mpPitch = 8000,8000,8000

# Get utils datas
for i in range(nbVal - 2):

    # Get orientation
    if handWii[i + 2][0] == '/mp-yaw' :
        mpYaw = handWii[i + 2][2]

    if handWii[i + 2][0] == '/mp-roll' :
        mpRoll = handWii[i + 2][2]

    if handWii[i + 2][0] == '/mp-pitch' :
        mpPitch = handWii[i + 2][2]

    # Get a and b and one
    if handWii[i + 2][0] == '/a' :
        a = handWii[i + 2][2]
        if a == 8:
            owner['a'] = True
        else:
            owner['a'] = False

    if handWii[i + 2][0] == '/b' :
        b = handWii[i + 2][2]
        if b == 4:
            owner['b'] = True
        else:
            owner['b'] = False

    if handWii[i + 2][0] == '/1' :
        one = handWii[i + 2][2]
        if one == 2:
            one = True

# Good ori
mpYaw = (mpYaw - 8020) / 8000
mpRoll = (mpRoll - 8020) / 8000
mpPitch = (8040 - mpPitch) / 8000

# Set orientation
#alpha = alpha_init - mpPitch * 4
#beta = beta_init + mpRoll * 4
#gamma =  gamma_init + mpYaw * 4

#if one:
#    alpha = 10
#    beta = 0
#    gamma = -90

# Set orientation
alpha = - mpPitch*40
beta = mpRoll*40
gamma = -90 + mpYaw*20

# Set orientation
owner_orientation(alpha, beta, gamma)

# Save in GameLogic
GameLogic.alpha = alpha
GameLogic.beta = beta
GameLogic.gamma = gamma
