
import GameLogic
import math
import mathutils

controller = GameLogic.getCurrentController()
owner = controller.owner

def owner_orientation(alpha, beta, gamma):
    alpha = alpha * 3.1416 / 180
    beta = beta * 3.1416 / 180
    gamma = gamma * 3.1416 / 180
    rot_en_euler = mathutils.Euler([alpha, beta, gamma])
    owner.worldOrientation = rot_en_euler.to_matrix()

# Get new data
handWii = GameLogic.handWii

mpYaw,mpRoll,mpPitch,X,Y,Z,pitch,roll,ir1 = 0,0,0,0,0,0,0,0,0
# Get utils datas
for i in range(len(handWii) - 2):
    # Get data
    if handWii[i + 2][0] == '/mp-yaw' :
        mpYaw = handWii[i + 2][2]
        mpYaw = mpYaw/8000 - 1
    if handWii[i + 2][0] == '/mp-roll' :
        mpRoll = handWii[i + 2][2]
        mpRoll = mpRoll/8000 - 1
    if handWii[i + 2][0] == '/mp-pitch' :
        mpPitch = handWii[i + 2][2]
        mpPitch = mpPitch/8000 - 1
    if handWii[i + 2][0] == '/pitch' :
        pitch = handWii[i + 2][2]
    if handWii[i + 2][0] == '/roll' :
        roll = handWii[i + 2][2]
    if handWii[i + 2][0] == '/X' :
        X = handWii[i + 2][2]
    if handWii[i + 2][0] == '/Y' :
        Y = handWii[i + 2][2]
    if handWii[i + 2][0] == '/Z' :
        Z = handWii[i + 2][2]
    if handWii[i + 2][0] == '/blobs1-x' :
        ir1 = handWii[i + 2][2]
        ir1 = ir1/512 - 1

# Set orientation, position
alpha = Y*90
beta = -X*90
gamma = ir1*40

x = 0.2*Y + 0.2
y = -0.6 + 0.2*X
z = 0.15*Z + 0.3

# Set orientation, posotion
owner_orientation(alpha,beta,gamma)
owner.localPosition = (x,y,z)

