######################################
## robot_hits.py
##
## robot racket follows the ball and hits
##
######################################

import GameLogic
import mathutils

#############################################################################
#set objects orientation
def owner_orientation(alpha, beta, gamma):
	alpha = alpha * 3.1416 / 180
	beta = beta * 3.1416 / 180
	gamma = gamma * 3.1416 / 180
	rot_en_euler = mathutils.Euler([alpha, beta, gamma])
	owner.worldOrientation = rot_en_euler.to_matrix()

#############################################################################

# Get the controller
controller = GameLogic.getCurrentController()
# Get the owner
owner = controller.owner

# Get current scene
scene = GameLogic.getCurrentScene()
# Get vehicle object named Car
objBall = scene.objects['Ball']

# Get ball position
positionBall = objBall.position

# Set robot raquette if ball is far
owner.worldPosition = [ positionBall[0], -4.2, positionBall[2] ]

alpha = 0
beta = 0
gamma = 0

hit = owner['hit']

if positionBall[1] <= -4.05:
	hit = hit + 1
	owner['hit'] = hit
	owner.worldPosition = [ positionBall[0], -4.2 + hit/100 , positionBall[2] + hit/30 ]
	owner_orientation(alpha + 1.5*hit, beta, gamma)
	if hit >= 3 :
		owner['return'] = True


